package assignment1;


public class ParkingLot {
	
	private ParkingSpace[] parkingSpaces;
	
	public ParkingLot(int capacity) {
		if ( capacity <= 0 ) {
			capacity = 40;
			System.out.println("Error! The capacity of the array has to be a postivie number");
		}
		parkingSpaces = new ParkingSpace[capacity];
		for (int i = 0; i < parkingSpaces.length; i++) {
			parkingSpaces[i] = new ParkingSpace();
			parkingSpaces[i].setFree(true);
		}
	}
	
	public boolean anyFreeSpace() {
		for (int i = 0; i < parkingSpaces.length; i++) {
			if ( parkingSpaces[i].isFree() )
				return true;
		}
		return false;
	}
	
	public void parkVehicle(String regNum) {
		if ( anyFreeSpace() == false ) {
			System.out.println("The parking space is full!");
		} else {
			for (int i = 0; i < parkingSpaces.length; i++) {
				if ( parkingSpaces[i].isFree() ) {
					parkingSpaces[i].setFree(false);
					parkingSpaces[i].setRegistrationNumber(regNum);
					return; //break;
				}
			}
		}
	}
	
	public boolean isVehicleOnParking(String regNum) {
		for (int i = 0; i < parkingSpaces.length; i++) {
			if ( parkingSpaces[i].isFree() == false &&
					parkingSpaces[i].getRegistrationNumber().equals(regNum))
				return true;
		}
		return false;
	}
	
	public void removeTheCar(String regNum) {
		if ( isVehicleOnParking(regNum) ) {
			for (int i = 0; i < parkingSpaces.length; i++) {
				if ( parkingSpaces[i].isFree() == false &&
						parkingSpaces[i].getRegistrationNumber().equals(regNum)) {
					parkingSpaces[i].setFree(true);
					parkingSpaces[i].setRegistrationNumber(null);
					return;
				}
			}
			
		} else
			System.out.println("Error! The car is not on the parking");
	}

}









