package assignment2;

import java.util.LinkedList;

public class MotorcycleRegistry {

	private LinkedList<Motorcycle> motorcycles;
	
	public MotorcycleRegistry() {
		motorcycles = new LinkedList<Motorcycle>();
	}
	
	public boolean isInRegistry(Motorcycle m) {
//		if ( motorcycles.contains(m) ) return true;
//		else return false;
		return motorcycles.contains(m);
	}
	
	public void addToRegistry(Motorcycle m) {
		if ( m != null && !isInRegistry(m) )
			motorcycles.add(m);
	}
	
	public void deleteFromRegistry(Motorcycle m) {
		if ( m != null && isInRegistry(m) )
			motorcycles.remove(m);
	}
	
	public void print() {
		for (int i = 0; i < motorcycles.size(); i++) {
			System.out.println( motorcycles.get(i) );
		}
	}
}
